Subject: Re: [bitcoin-dev] Inquiry: Transaction Tiering

From: Martin Stolze <[email-masked]>
Date: Wed, 29 Mar 2017 13:48:42 +0100

Ignoring your contradiction of the political and economical. Your
conception holds under the presupposition that all action of
hash-power is motivated by 'rational' economic interest. Specifically
a very strict distinction between the profitable and the unprofitable;
namely to include transactions based on "business incentive",
presumably on-chain fees.

I am afraid that this conception is a rickety crutch, unfit to
navigate current reality.

On Wed, Mar 29, 2017 at 10:04 AM, Tom Zander <[email-masked]> wrote:
> On Monday, 20 March 2017 21:12:36 CEST Martin Stolze via bitcoin-dev wrote:
>> Background: The current protocol enables two parties to transact
>> freely, however, transaction processors (block generators) have the
>> authority to discriminate participants arbitrarily.
>
> Nag; they don’t have any authority.
>
>> This is well known
>> and it is widely accepted that transaction processors may take
>> advantage of this with little recourse. It is the current consensus
>> that the economic incentives in form of transaction fees are
>> sufficient because the transaction processing authorities are assumed
>> to be guided by the growth of Bitcoin and the pursuit of profit.
>
> This is not the case, it misunderstands Bitcoin and specifically is
> misunderstands that Bitcoin is distributed and decentralized.
>
> What you call “block generators” or “transaction processors” are in reality
> called miners and they don’t have any authority to mine or not mine certain
> transactions. All they have is a business incentive to mine or not mine a
> certain transaction.
> This is a crucial distinction as that makes it a economical decision, not a
> political.
>
> The massive distribution of miners creating blocks means that one miner is
> free to add his political agenda. They can choose to not mine any satoshi-
> dice transactions, should they want. But they can’t stop other miners from
> mining those transactions anyway, and as such this is not a political move
> that has any effect whatsoever, at the end of the day it is just an
> economcal decision.
>
> The rest of your email is based on this misconception as well, and therefore
> the above answers your question.
> --
> Tom Zander
> Blog: https://zander.github.io
> Vlog: https://vimeo.com/channels/tomscryptochannel